View Issue Details

IDProjectCategoryView StatusLast Update
0032308Open CASCADEOCCT:Configurationpublic2021-12-17 18:41
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032308: Configuration - make Xlib dependency optional
DescriptionIt is proposed making Xlib dependency configurable on Linux platform.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0032268 resolvedkgv Community Configuration, CMake - a proposal for minimal build flag in CMake 
parent of 0032613 closedkgv Open CASCADE Samples - glfw compilation error on Linux 
has duplicate 0032286 closedbugmaster Community Configuration, TKService - make Xlib dependency optional 
related to 0032306 closedkgv Open CASCADE Draw Harness, ViewerTest - move window message processing to TKService 
related to 0032303 closedbugmaster Open CASCADE Draw Harness - fix compilation issues when using Emscripten SDK 
related to 0032323 closedbugmaster Open CASCADE Configuration - drop unused dependency from Xmu 
child of 0031401 newkgv Open CASCADE Visualization - revise Toolkits dependency graph 

Activities

git

2021-04-16 16:12

administrator   ~0100345

Branch CR32308 has been created by kgv.

SHA-1: 249660ad71a29dd81f4f8fda5cbb3a2921c888d9


Detailed log of new commits:

Author: kgv
Date: Fri Apr 16 16:12:16 2021 +0300

    0032308: Configuration - make Xlib dependency optional

git

2021-04-16 16:57

administrator   ~0100347

Branch CR32308 has been updated forcibly by kgv.

SHA-1: c8d4bcad77e36664ba52b41a0e159068de5ea170

git

2021-04-16 17:00

administrator   ~0100348

Branch CR32308 has been updated forcibly by kgv.

SHA-1: 0c7a92b58aecdc6fbf944739a8aa0b9f6b48e260

git

2021-04-16 18:13

administrator   ~0100350

Branch CR32308 has been updated forcibly by kgv.

SHA-1: 0ed95e7c74bf818ce68269d7e9fd8b5c81bbb428

git

2021-04-16 18:50

administrator   ~0100352

Branch CR32308 has been updated forcibly by kgv.

SHA-1: 7554eecf87951fb38c23bb62499ab81a3e186131

git

2021-04-16 19:08

administrator   ~0100354

Branch CR32308 has been updated forcibly by kgv.

SHA-1: 26faef387793f3b9447c7dffee3d86627c42407a

git

2021-04-16 19:59

administrator   ~0100356

Branch CR32308 has been updated forcibly by kgv.

SHA-1: e360fbd7439f7572cb03333a3b8025e8961043f0

git

2021-04-16 20:11

administrator   ~0100359

Branch CR32308 has been updated forcibly by kgv.

SHA-1: 741c654f0dc03cf20d974070455945d17b2fae56

git

2021-04-16 20:13

administrator   ~0100360

Branch CR32308 has been updated forcibly by kgv.

SHA-1: 9f2c96e237901329c61f67258af19b71ae7d7271

git

2021-04-16 20:47

administrator   ~0100362

Branch CR32308 has been updated forcibly by kgv.

SHA-1: e1254de776753d7ad933e4ff141425a0fa9957c3

git

2021-04-16 20:59

administrator   ~0100363

Branch CR32308 has been updated forcibly by kgv.

SHA-1: 2adab80d0eedabc9bbd5370daab51594291100f2

git

2021-04-16 21:54

administrator   ~0100364

Branch CR32308 has been updated forcibly by kgv.

SHA-1: 5998a1e996cb2960c42570de6528e7a739626599

git

2021-04-16 22:41

administrator   ~0100365

Branch CR32308_1 has been created by kgv.

SHA-1: b7919a31634f533d810fd117b857b65b6fa6330d


Detailed log of new commits:

Author: kgv
Date: Fri Apr 16 16:12:16 2021 +0300

    0032308: Configuration - make Xlib dependency optional
    
    MACOSX_USE_GLX has been renamed to HAVE_XLIB and now configurable on Linux target.
    
    Xw_Window.hxx now export class on non-Linux platforms.
    OpenGl_Window now creates an off-screen EGL surface also in case of
    window-less desktop setup (e.g. with disabled Xlib on Linux).

git

2021-04-16 23:33

administrator   ~0100366

Branch CR32308_1 has been updated forcibly by kgv.

SHA-1: 52a2d56955c56eb42bb953f8b8d467236d45a5df

git

2021-04-16 23:37

administrator   ~0100367

Branch CR32308_1 has been updated forcibly by kgv.

SHA-1: f23cf48d97fd551c6b2ef525250c1b081a5c69a1

git

2021-04-17 00:07

administrator   ~0100368

Branch CR32308_1 has been updated forcibly by kgv.

SHA-1: 9ddea11e4b8125f31e4edb8d564365496a8b209b

git

2021-04-17 00:08

administrator   ~0100369

Branch CR32308_1 has been updated forcibly by kgv.

SHA-1: 6111ff22e0f497ee2e1e8952bea61d7759c85c4b

git

2021-04-17 04:26

administrator   ~0100372

Branch CR32308_2 has been created by kgv.

SHA-1: 5c2093d5b673c617ea4d2bdd329cc1568f116db3


Detailed log of new commits:

Author: kgv
Date: Sat Apr 17 04:26:50 2021 +0300

    Draw_Window - code clean up.

git

2021-04-17 11:29

administrator   ~0100373

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: c23105d5eaf42c362f1ccef79d6e77573e5e4914

git

2021-04-17 11:46

administrator   ~0100374

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: b074df0896d1c07faee06fc70b6001b36363dee6

git

2021-04-17 11:52

administrator   ~0100375

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: 77864c614a6dc6fae04465e376c1ef13b6f9963e

git

2021-04-17 12:16

administrator   ~0100376

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: 033da6e9c3b79b334febffcd0c5a057b50f4f42d

git

2021-04-17 12:30

administrator   ~0100377

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: 916e147045333c05436b27c44d40d115b8838b21

git

2021-04-17 12:38

administrator   ~0100378

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: 2f5e1307507fc148cfb379579facc98b74c54bf1

git

2021-04-17 12:51

administrator   ~0100379

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: bd0a5b7ef9f2b7da7b26ce761155f098688edb69

git

2021-04-17 15:14

administrator   ~0100422

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: 99dc47a051aa2c9733aa526996374573d2895d01

git

2021-04-17 15:44

administrator   ~0100424

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: e40db1755af1b64f9dfe55e2af9a11782be2ed90

git

2021-04-17 16:44

administrator   ~0100425

Branch CR32308_2 has been updated forcibly by kgv.

SHA-1: c04c6e0d08b9af76a1915bd9f158931e87782440

git

2021-04-17 16:49

administrator   ~0100426

Branch CR32308_3 has been created by kgv.

SHA-1: 2fe202b329ddd72463c9011b00090c92cfedf48b


Detailed log of new commits:

Author: kgv
Date: Fri Apr 16 16:12:16 2021 +0300

    0032308: Configuration - make Xlib dependency optional
    
    MACOSX_USE_GLX has been renamed to HAVE_XLIB and now configurable on Linux target.
    
    Xw_Window.hxx now export class on non-Linux platforms.
    OpenGl_Window now creates an off-screen EGL surface also in case of
    window-less desktop setup (e.g. with disabled Xlib on Linux).
    
    Draw_Window - code has been cleaned up.
    Class definition has been unified across platforms when possible.
    Unusued constructors have been removed.
    Internal header files (MainWindow.h, init.h, etc.) have been renamed to .pxx
    to avoid their unexpected distribution in "inc".

git

2021-04-17 17:51

administrator   ~0100431

Branch CR32308_3 has been updated forcibly by kgv.

SHA-1: d96129da0a23c05a0c8dc502901fa662eb433d3e

kgv

2021-04-17 20:40

developer   ~0100432

Patch is ready for review
- OCCT: branch CR32308_3;
- OCC Products: branch CR32308_3.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32308_3-CR32308_3-KGV/

osa

2021-04-19 10:07

developer   ~0100447

Patches were reviewed

git

2021-04-22 11:12

administrator   ~0100510

Branch CR32308_3 has been updated by kgv.

SHA-1: 9250476bb1f27d941453d591ae465d94c7d6511d


Detailed log of new commits:

Author: kgv
Date: Thu Apr 22 11:12:02 2021 +0300

    # 0032308: workaround old msvc issues

git

2021-04-22 13:54

administrator   ~0100514

Branch CR32308_3 has been updated by kgv.

SHA-1: 6db14e726fee792eba09ad5222e2846e1c63cf07


Detailed log of new commits:

Author: kgv
Date: Thu Apr 22 13:54:18 2021 +0300

    # 0032308: suppress msvc10 warnings

bugmaster

2021-04-25 10:59

administrator   ~0100550

Combination -
OCCT branch : IR-2021-04-23
master SHA - fd2efe5428b3b2b9d300b0612c0a53ee2486ba64
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-23 SHA - 740db2b9c0429fd95b1e8cf3790001245aaec02b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17901.710000000523 / 17988.35000000045 [-0.48%]
Products
Total CPU difference: 11558.800000000136 / 11564.760000000093 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 5522.40625 / 5520.953125 [+0.03%]
Products
Total CPU difference: 12871.203125 / 12932.890625 [-0.48%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-04-25 12:24

administrator   ~0100554

Branch CR32308_3 has been deleted by inv.

SHA-1: 6db14e726fee792eba09ad5222e2846e1c63cf07

git

2021-04-25 12:24

administrator   ~0100565

Branch CR32308_2 has been deleted by inv.

SHA-1: c04c6e0d08b9af76a1915bd9f158931e87782440

git

2021-04-25 12:24

administrator   ~0100567

Branch CR32308_1 has been deleted by inv.

SHA-1: 6111ff22e0f497ee2e1e8952bea61d7759c85c4b

git

2021-04-25 12:24

administrator   ~0100568

Branch CR32308 has been deleted by inv.

SHA-1: 5998a1e996cb2960c42570de6528e7a739626599

Related Changesets

occt: master b69e576a

2021-04-16 13:12:16

kgv


Committer: bugmaster Details Diff
0032308: Configuration - make Xlib dependency optional

MACOSX_USE_GLX has been renamed to HAVE_XLIB and now configurable on Linux target.

Xw_Window.hxx now export class on non-Linux platforms.
OpenGl_Window now creates an off-screen EGL surface also in case of
window-less desktop setup (e.g. with disabled Xlib on Linux).

Draw_Window - code has been cleaned up.
Class definition has been unified across platforms when possible.
Unusued constructors have been removed.
Internal header files (MainWindow.h, init.h, etc.) have been renamed to .pxx
to avoid their unexpected distribution in "inc".
Affected Issues
0032308
mod - adm/cmake/occt_csf.cmake Diff File
mod - adm/cmake/vardescr.cmake Diff File
mod - adm/genconf.tcl Diff File
mod - adm/genconfdeps.tcl Diff File
mod - adm/genproj.tcl Diff File
mod - adm/qmake/OccToolkit.pri Diff File
mod - adm/scripts/wasm_build.bat Diff File
mod - adm/templates/env.sh Diff File
mod - adm/UDLIST Diff File
mod - CMakeLists.txt Diff File
mod - src/AIS/AIS_ViewController.hxx Diff File
mod - src/Aspect/Aspect_DisplayConnection.cxx Diff File
mod - src/Aspect/Aspect_DisplayConnection.hxx Diff File
mod - src/Aspect/Aspect_FBConfig.hxx Diff File
mod - src/Aspect/Aspect_RenderingContext.hxx Diff File
mod - src/Aspect/Aspect_XWD.hxx Diff File
rm - src/Draw/CommandWindow.cxx Diff File
rm - src/Draw/CommandWindow.h Diff File
rm - src/Draw/DrawRessource.h Diff File
mod - src/Draw/Draw_BasicCommands.cxx Diff File
mod - src/Draw/Draw_View.cxx Diff File
mod - src/Draw/Draw_View.hxx Diff File
mod - src/Draw/Draw_Viewer.cxx Diff File
mod - src/Draw/Draw_Window.cxx Diff File
mod - src/Draw/Draw_Window.hxx Diff File
mod - src/Draw/Draw_Window_1.mm Diff File
add - src/Draw/Draw_WNTCommandWindow.cxx Diff File
add - src/Draw/Draw_WNTCommandWindow.pxx Diff File
add - src/Draw/Draw_WNTInit.cxx Diff File
add - src/Draw/Draw_WNTInit.pxx Diff File
add - src/Draw/Draw_WNTMainWindow.cxx Diff File
add - src/Draw/Draw_WNTMainWindow.pxx Diff File
add - src/Draw/Draw_WNTRessource.pxx Diff File
mod - src/Draw/FILES Diff File
rm - src/Draw/init.cxx Diff File
rm - src/Draw/init.h Diff File
rm - src/Draw/MainWindow.cxx Diff File
rm - src/Draw/MainWindow.h Diff File
rm - src/InterfaceGraphic/FILES Diff File
rm - src/InterfaceGraphic/InterfaceGraphic.hxx Diff File
mod - src/IVtkDraw/IVtkDraw.cxx Diff File
mod - src/OpenGl/OpenGl_Context.cxx Diff File
mod - src/OpenGl/OpenGl_Context.hxx Diff File
mod - src/OpenGl/OpenGl_Context_1.mm Diff File
mod - src/OpenGl/OpenGl_GlFunctions.cxx Diff File
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff File
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff File
mod - src/OpenGl/OpenGl_Window.cxx Diff File
mod - src/OpenGl/OpenGl_Window_1.mm Diff File
mod - src/TKService/PACKAGES Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands_1.mm Diff File
mod - src/Xw/Xw_Window.cxx Diff File
mod - src/Xw/Xw_Window.hxx Diff File
mod - tools/View/View_Widget.cxx Diff File

occt-products: master 740db2b9

2021-04-17 17:30:33

kgv

Details Diff
0032308: Configuration - make Xlib dependency optional

Added missing glx.h include.
Affected Issues
0032308
mod - samples/qt/Unfolding/src/UnfoldingBaseView.cpp Diff File

Issue History

Date Modified Username Field Change
2021-04-16 15:30 kgv New Issue
2021-04-16 15:30 kgv Assigned To => kgv
2021-04-16 16:12 git Note Added: 0100345
2021-04-16 16:57 git Note Added: 0100347
2021-04-16 17:00 git Note Added: 0100348
2021-04-16 18:13 git Note Added: 0100350
2021-04-16 18:50 git Note Added: 0100352
2021-04-16 19:08 git Note Added: 0100354
2021-04-16 19:59 git Note Added: 0100356
2021-04-16 20:11 git Note Added: 0100359
2021-04-16 20:13 git Note Added: 0100360
2021-04-16 20:47 git Note Added: 0100362
2021-04-16 20:59 git Note Added: 0100363
2021-04-16 21:54 git Note Added: 0100364
2021-04-16 22:41 git Note Added: 0100365
2021-04-16 23:33 git Note Added: 0100366
2021-04-16 23:37 git Note Added: 0100367
2021-04-17 00:07 git Note Added: 0100368
2021-04-17 00:08 git Note Added: 0100369
2021-04-17 04:26 git Note Added: 0100372
2021-04-17 11:29 git Note Added: 0100373
2021-04-17 11:46 git Note Added: 0100374
2021-04-17 11:52 git Note Added: 0100375
2021-04-17 12:16 git Note Added: 0100376
2021-04-17 12:30 git Note Added: 0100377
2021-04-17 12:38 git Note Added: 0100378
2021-04-17 12:51 git Note Added: 0100379
2021-04-17 15:14 git Note Added: 0100422
2021-04-17 15:44 git Note Added: 0100424
2021-04-17 16:44 git Note Added: 0100425
2021-04-17 16:49 git Note Added: 0100426
2021-04-17 17:51 git Note Added: 0100431
2021-04-17 20:40 kgv Note Added: 0100432
2021-04-17 20:40 kgv Assigned To kgv => osa
2021-04-17 20:40 kgv Status new => resolved
2021-04-17 20:42 kgv Relationship added related to 0032306
2021-04-17 20:42 kgv Relationship added child of 0031401
2021-04-17 20:42 kgv Relationship added related to 0032268
2021-04-17 20:45 kgv Relationship added related to 0032303
2021-04-19 10:07 osa Note Added: 0100447
2021-04-19 10:07 osa Assigned To osa => bugmaster
2021-04-19 10:07 osa Status resolved => reviewed
2021-04-22 11:12 git Note Added: 0100510
2021-04-22 13:54 git Note Added: 0100514
2021-04-23 13:35 kgv Relationship added related to 0032323
2021-04-25 10:59 bugmaster Note Added: 0100550
2021-04-25 10:59 bugmaster Status reviewed => tested
2021-04-25 11:14 bugmaster Test case number => Not required
2021-04-25 11:55 bugmaster Changeset attached => occt master b69e576a
2021-04-25 11:55 bugmaster Status tested => verified
2021-04-25 11:55 bugmaster Resolution open => fixed
2021-04-25 12:24 git Note Added: 0100554
2021-04-25 12:24 git Note Added: 0100565
2021-04-25 12:24 git Note Added: 0100567
2021-04-25 12:24 git Note Added: 0100568
2021-06-10 17:00 kgv Relationship added has duplicate 0032286
2021-10-12 10:06 kgv Relationship added parent of 0032613
2021-12-17 18:41 kgv Changeset attached => occt-products master 740db2b9